/*
  Title     : Genotype.cpp
  Version   : 1.0
  Copyright : 2004 Tero Hiekkalinna
  Author    : Tero Hiekkalinna (tero.hiekkalinna@helsinki.fi)
  Date      : 4.2.2004

*/

#include "Genotype.h"

// Constructors
Genotype::Genotype(){}

Genotype::Genotype(string allele_1, string allele_2)
{
   this->allele[0] = allele_1;
   this->allele[1] = allele_2;
}

string Genotype::getGenotype()
{
   return this->allele[0] + " " + this->allele[0];
}

string Genotype::getAllele(int index)
{
   if(index < 0 || index > 1)
   {
      cout << "Error, Genotype: Index out of bounds: " << index << endl;
      return "Error";
   }
   return  this->allele[index];
}
