/*
  Title     : PedigreeList.h
  Version   : 1.0
  Copyright : 2004 Tero Hiekkalinna
  Author    : Tero Hiekkalinna (tero.hiekkalinna@helsinki.fi)
  Date      : 4.2.2004

  58161-5 Tietorakenteiden Harjoitusty, kevt 2004
  Helsingin yliopisto, Tietojenksittelytieteen laitos
  Ohjaaja: Olaf Laczak
*/

#if !defined(PEDIGREELIST_H)
   #define PEDIGREELIST_H

#include "Pedigree.h"

/*

 Following methods implements Linked List Pedigree structure, this is only
 for testing

*/

class PedigreeList
{
   private:

      Pedigree *head;
      Pedigree *tail;

   public:

      PedigreeList();
      bool insert(Pedigree *);
      Pedigree* find(string);

      int size();
      int sizeTotal();

};

#endif
