/*
  Title     : Phenotype.cpp
  Version   : 1.0
  Copyright : 2004 Tero Hiekkalinna
  Author    : Tero Hiekkalinna (tero.hiekkalinna@helsinki.fi)
  Date      : 4.2.2004

  58161-5 Tietorakenteiden Harjoitusty, kevt 2004
  Helsingin yliopisto, Tietojenksittelytieteen laitos
  Ohjaaja: Olaf Laczak
*/
#include <string>
using namespace std;

#include "Phenotype.h"

// Constructors
Phenotype::Phenotype(){}

Phenotype::Phenotype(string name, string value)
{
   this->name = name;
   this->value = value;
   this->next = NULL;
}

// set next phenotype in linked list
void Phenotype::setNext(Phenotype *ph)
{
   this->next = ph;
}

// get next phenotype in linked list
Phenotype* Phenotype::getNext()
{
   return this->next;
}

// get phenotype name
string Phenotype::getName()
{
   return this->name;
}

// get phenotype value
string Phenotype::get()
{
   return this->value;
}
