/*

*/

#ifndef ScaVengeH
#define ScaVengeH

#include <iostream>
using namespace std;
#include <string>
#include <vector>

#include "Map.h"

class ScaVenge {

   private:

      char* DataBaseFile;
      char* MapFile;

      char* OutputSummaryFile;
      char* OutputPlottingFile;

      vector<Map> map;

      vector<int> locus;

      vector<double> lod_hom;
      vector<double> lod_hom_theta;

      vector<double> lod_het;
      vector<double> lod_het_theta;
      vector<double> lod_het_alpha;

      vector<double> nuc_lod_hom;
      vector<double> nuc_lod_hom_theta;

      vector<double> nuc_lod_het;
      vector<double> nuc_lod_het_theta;
      vector<double> nuc_lod_het_alpha;

      vector<double> asp;
      vector<double> asp_all;

      vector<double> hrr_lrt;
      vector<double> hrr_2xn;

      vector<double> tdt;

   public:

      ScaVenge();
      bool ParseCommandLineArguments(int,char **);
      bool ReadMapFile();
      bool ReadDataBaseFile();
      bool WriteSummaryFile();
      bool WritePlottingFile();

};

#endif
