/*
  Title     : Map.cpp
  Version   : 1.0
  Copyright : 2004 Tero Hiekkalinna
  Author    : Tero Hiekkalinna (tero.hiekkalinna@helsinki.fi)
  Date      : 25.10.2004
*/

#include <iostream>
using namespace std;
#include <string>

#include "Map.h"

Map::Map(){}

Map::Map(string chr, double pos, string name)
{
   this->chromosome = chr;
   this->position = pos;
   this->markername = name;
}

void Map::setChr(string chr)
{
   this->chromosome = chr;
}

void Map::setPos(double pos)
{
   this->position = pos;
}

void Map::setMarkerName(string name)
{
   this->markername = name;
}

string Map::getChr()
{
   return this->chromosome;
}

double Map::getPosition()
{
   return this->position;
}

string Map::getName()
{
   return this->markername;
}

