/*
  Title     : Genotype.h
  Version   : 1.0
  Copyright : 2004 Tero Hiekkalinna
  Author    : Tero Hiekkalinna (tero.hiekkalinna@helsinki.fi)
  Date      : 4.2.2004

  58161-5 Tietorakenteiden Harjoitusty, kevt 2004
  Helsingin yliopisto, Tietojenksittelytieteen laitos
  Ohjaaja: Olaf Laczak
*/

#if !defined(GENOTYPE_H)
   #define GENOTYPE_H

class Genotype
{
   private:
      string allele[2];
      Genotype *next;

   public:
      Genotype();
      Genotype(string,string);
      void setNext(Genotype *);
      Genotype* getNext();
      string get();
      string getSolarGenotype();
};

#endif
