/*
  Title     : PedigreeList.cpp
  Version   : 1.0
  Copyright : 2004 Tero Hiekkalinna
  Author    : Tero Hiekkalinna (tero.hiekkalinna@helsinki.fi)
  Date      : 4.2.2004

  58161-5 Tietorakenteiden Harjoitusty, kevt 2004
  Helsingin yliopisto, Tietojenksittelytieteen laitos
  Ohjaaja: Olaf Laczak
*/

#include <iostream>
using namespace std;

#include "PedigreeList.h"

/*

 Following methods implements Linked List Pedigree structure, this is only
 for testing

*/

PedigreeList::PedigreeList()
{
   this->head = NULL;
   this->tail = NULL;
}

bool PedigreeList::insert(Pedigree *z)
{
   z->setNext(NULL);
   if(head==NULL)
   {
      head = tail = z;
      return true;
   }
   else
   {
      tail->setNext(z);
      tail = z;
   }
   return true;
}

Pedigree* PedigreeList::find(string familyid)
{
   if(head==NULL)
      return NULL;

   Pedigree *next = head;

   while(next!=NULL)
   {
      if(next->getKey() == familyid)
      {
         return next;
      }
      else
      {
         next = next->getNext();
      }
   }
   return NULL;
}

int PedigreeList::size()
{
   return -1;
}
int PedigreeList::sizeTotal()
{
   return -1;
}

